LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::awt::KeyModifier Constant Group Referencepublished

These values are used to specify which modifier keys are pressed. More...

## Variables
const short | SHIFT = 1
| refers to both shift keys. More...
const short | MOD1 = 2
| refers in the most cases to the "Ctrl" key (Cmd on macOS). More...
const short | MOD2 = 4
| refers in the most cases to the "Alt" key. More...
const short | MOD3 = 8
| refers in the most cases to the "Ctrl" key (macOS) More...

## Detailed Description

These values are used to specify which modifier keys are pressed.

## Variable Documentation

## ◆ MOD1

const short MOD1 = 2

refers in the most cases to the "Ctrl" key (Cmd on macOS).

## ◆ MOD2

const short MOD2 = 4

refers in the most cases to the "Alt" key.

## ◆ MOD3

const short MOD3 = 8

refers in the most cases to the "Ctrl" key (macOS)

## ◆ SHIFT

const short SHIFT = 1

refers to both shift keys.